<?PHP 
include("header.php");
//session_start();
//error_reporting(0);
include "checksession.php";
include "include/db-connect.php";
//....Tamil font......
//mysql_query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
//.................

if($_REQUEST['delid']!=NULL)
{
	$deelte_supplier=mysql_query("delete from `supplier` where `id`='".$_REQUEST['delid']."'");
	?><script>window.location="view_supplier.php?del=suc";</script><?
}
?>
  <div id="content">
  <div class="breadcrumb">
      </div>
              <div class="box">
    <div class="heading">
      <h1><img src="view/image/home.png" alt="" />Supplier Details</h1>
    </div>
    <div class="content">
      <div class="overview" style="width:80%; margin-left:170px;">
        <div class="dashboard-heading">   Supplier Details
         </div>
        <div class="dashboard-content">
        
<?php if($_REQUEST['del']=='suc'){ ?>
 <div style="color:#060;font-size:18px;margin-bottom:10px;">One Supplier Details Deleted Successfully.</div>
 <? } ?>
  <table class="list" cellspacing="0" > 
			<thead> 
                 <tr>
                    <td class="left">S.No</td>  				
    				 <td class="left">Name</td>
                    <td class="left">Address</td> 
                    <td class="left">Contact Number</td> 
                    <td class="left">Email Id</td> 
                    <td class="left">Edit</td>
                    <td class="left">Delete</td> 
              </tr>
              </thead>
			<tbody> 
			<?php 
		$dis1="select COUNT(*) as num  from ".$SUPPLIER."";		
		$total_pages = mysql_fetch_array(mysql_query($dis1));
		$adjacents = 3;
        $total_pages = $total_pages[num];
$targetpage = ""; //your file name (the name of this file)
$limit =30; //how many items to show per page
$page = $_GET['page'];
if($page)
$start = ($page - 1) * $limit; //first item to display on this page
else
$start = 0; //if no page var is given, set start to 0
if ($page == 0) $page = 1; //if no page var is given, default to 1.
$prev = $page - 1; //previous page is page - 1
$next = $page + 1; //next page is page + 1
$lastpage = ceil($total_pages/$limit); //lastpage is = total pages / items per page, rounded up.
$lpm1 = $lastpage - 1; //last page minus 1
$pagination = "";
if($lastpage > 1)
{
$pagination .= "<div class=\"pagination\">";
//previous button
if ($page > 1)
$pagination.= "<a href=\"$targetpage?page=$prev \">« Previous &nbsp;</a>";
else
$pagination.= "<span class=\"disabled\">« Previous &nbsp;</span>";
//pages
if ($lastpage < 7 + ($adjacents * 2)) //not enough pages to bother breaking it up
{
for ($counter = 1; $counter <= $lastpage; $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
}
elseif($lastpage > 5 + ($adjacents * 2)) //enough pages to hide some
{
//close to beginning; only hide later pages
if($page < 1 + ($adjacents * 2))
{
for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
$pagination.= "...";
$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;</a>";
}
//in middle; hide some front and some back
elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
{
$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";
$pagination.= "...";
for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
$pagination.= "...";
$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;</a>";
}
//close to end; only hide early pages
else
{
$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";
$pagination.= "...";
for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
}
}
//next butto
if ($page < $counter - 1)
$pagination.= "<a href=\"$targetpage?page=$next \">Next » &nbsp;</a>";
else
$pagination.= "<span class=\"disabled\">Next » &nbsp;</span>";
$pagination.= "</div>\n";
}

		$qur="SELECT * FROM ".$SUPPLIER." order by id desc  LIMIT $start,$limit"; 
		$result = mysql_query($qur)or die('Have an error in viewing data'.mysql_error());
		while ($row_section = mysql_fetch_array($result))
  { 
			    $snum=$row_section['id'];				
				$product_id=$row_section['product_id'];
				$name=$row_section['supplier_name'];
				$supplier_address=$row_section['supplier_address'];
				$contact_no=$row_section['contact_no'];
				$email_id=$row_section['email_id'];
				
			  ?>	    

			    <tr>
   					<td class="left"><?php echo $snum;?></td>    				                
   				 	<td class="left"><?php echo $name; ?></td>
                     <td class="left"><?php echo $supplier_address; ?></td>                     
                     <td class="left"><?php echo $contact_no; ?></td>                     
                     <td class="left"><?php echo $email_id; ?></td>
                	<td class="left"><a href="edit_supplier.php?id=<?php echo $snum;?>"><img src="images/edit.jpg" width="25" height="25"></a></td>  
                    <td class="left"><a href="view_supplier.php?delid=<?php echo $snum;?>" onclick="return confirm('Are You sure You want to confirm delete this supplier ?');"><img src="images/delete1.jpg" width="25"></a></td>                   
				</tr> 	 

<?php } ?> 

			</tbody> 

			</table>
   
        </div>
        <div align="right"><?php echo $pagination; ?> 	</div>	
      </div>
      
      
    </div>
  </div>
</div>
</div>
</body></html>